package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.CorpStatisticsTotal;
import com.tzld.piaoquan.growth.common.model.po.CorpStatisticsTotalExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface CorpStatisticsTotalMapper {
    long countByExample(CorpStatisticsTotalExample example);

    int deleteByExample(CorpStatisticsTotalExample example);

    int deleteByPrimaryKey(Long id);

    int insert(CorpStatisticsTotal record);

    int insertSelective(CorpStatisticsTotal record);

    List<CorpStatisticsTotal> selectByExample(CorpStatisticsTotalExample example);

    CorpStatisticsTotal selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") CorpStatisticsTotal record, @Param("example") CorpStatisticsTotalExample example);

    int updateByExample(@Param("record") CorpStatisticsTotal record, @Param("example") CorpStatisticsTotalExample example);

    int updateByPrimaryKeySelective(CorpStatisticsTotal record);

    int updateByPrimaryKey(CorpStatisticsTotal record);
}